Package com.creditcall.chipdnamobile

# Class DeviceStatus

java.lang.Object
com.creditcall.chipdnamobile.DeviceStatus

public class DeviceStatus extends Object
Created by Shingai on 03/08/2017.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `DeviceStatus.DeviceStatusEnum`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeviceStatus()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAvailabilityError()`
  If filled the error why the device is currently unavailable.
  `int`
  `getBatteryChargePercentage()`
  Battery charge percentage of the currently connected device.
  `String`
  `getBatteryChargingStatus()`
  Charging status of the currently connected device.
  `String`
  `getBatteryChargingStatusUpdateDateTime()`
  Date and time for the last battery charging status update of the currently connected device.
  `String`
  `getBatteryChargingStatusUpdateDateTimeFormat()`
  Date and time format used for getBatteryChargingStatusUpdateDateTime().
  `HashMap<String,String>`
  `getErrorInformation()`
  NSDictionary containing key value pairs with information about the availablilityError.
  `String`
  `getFirmwareName()`
  Firmware name of the currently connected device.
  `String`
  `getFirmwareVersion()`
  Firmware version of the currently connected device.
  `String`
  `getKernelsHash()`
  Kernel version of the connected PIN pad.
  `String`
  `getMake()`
  Make of the currently connected device.
  `String`
  `getModel()`
  Model of the currently connected device.
  `String`
  `getName()`
  PIN pad name of currently connected device.
  `String`
  `getOsVersion()`
  Operating system version of the connected PIN pad.
  `int`
  `getRawBatteryChargePercentage()`
  Raw Battery charge percentage of the currently connected device.
  `String`
  `getRevision()`
  Revision of the currently connected PIN pad.
  `String`
  `getSerialNumber()`
  Serial number of currently connected PIN pad.
  `DeviceStatus.DeviceStatusEnum`
  `getStatus()`
  The current connection status of the device.
  `void`
  `setKernelsHash(String kernelsHash)`
  `void`
  `setOsVersion(String osVersion)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DeviceStatus

    public DeviceStatus()

- ## Method Details

  - ### getStatus

    public DeviceStatus.DeviceStatusEnum getStatus()
    The current connection status of the device.

  - ### getAvailabilityError

    public String getAvailabilityError()
    If filled the error why the device is currently unavailable.

  - ### getErrorInformation

    public HashMap<String,String> getErrorInformation()
    NSDictionary containing key value pairs with information about the availablilityError.

  - ### getName

    public String getName()
    PIN pad name of currently connected device.

  - ### getRawBatteryChargePercentage

    public int getRawBatteryChargePercentage()
    Raw Battery charge percentage of the currently connected device.

  - ### getBatteryChargePercentage

    public int getBatteryChargePercentage()
    Battery charge percentage of the currently connected device.

  - ### getBatteryChargingStatus

    public String getBatteryChargingStatus()
    Charging status of the currently connected device. Returns "Not Charging", "Charging" or "Fully Charged".

  - ### getBatteryChargingStatusUpdateDateTime

    public String getBatteryChargingStatusUpdateDateTime()
    Date and time for the last battery charging status update of the currently connected device. Returned using the local date, time, and time zone of the mobile device. Format specified by getBatteryChargingStatusUpdateDateTimeFormat().

  - ### getBatteryChargingStatusUpdateDateTimeFormat

    public String getBatteryChargingStatusUpdateDateTimeFormat()
    Date and time format used for getBatteryChargingStatusUpdateDateTime(). Returns "dd/MM/yyyy HH:mm:ss".

  - ### getMake

    public String getMake()
    Make of the currently connected device.

  - ### getModel

    public String getModel()
    Model of the currently connected device.

  - ### getFirmwareName

    public String getFirmwareName()
    Firmware name of the currently connected device.

  - ### getFirmwareVersion

    public String getFirmwareVersion()
    Firmware version of the currently connected device.

  - ### getSerialNumber

    public String getSerialNumber()
    Serial number of currently connected PIN pad.

  - ### getOsVersion

    public String getOsVersion()
    Operating system version of the connected PIN pad.

  - ### setOsVersion

    public void setOsVersion(String osVersion)

  - ### getKernelsHash

    public String getKernelsHash()
    Kernel version of the connected PIN pad.

  - ### setKernelsHash

    public void setKernelsHash(String kernelsHash)

  - ### getRevision

    public String getRevision()
    Revision of the currently connected PIN pad.